package com.mortals.xhx.module.perform.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.CheckTypeEnum;
import com.mortals.xhx.common.code.EnableEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.perform.model.PerformDeptConfDetailEntity;
import com.mortals.xhx.module.perform.service.PerformDeptConfDetailService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 部门考核内容详细信息
*
* @author zxfei
* @date 2023-05-16
*/
@RestController
@RequestMapping("perform/dept/conf/detail")
public class PerformDeptConfDetailController extends BaseCRUDJsonBodyMappingController<PerformDeptConfDetailService,PerformDeptConfDetailEntity,Long> {

    @Autowired
    private ParamService paramService;

    public PerformDeptConfDetailController(){
        super.setModuleDesc( "部门考核内容详细信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "type", CheckTypeEnum.getEnumMap());
        this.addDict(model, "enable", EnableEnum.getEnumMap());
        super.init(model, context);
    }

    /**
     * 启用停用
     * @param id
     * @return
     */
    @RequestMapping(value = {"enable"},method = {RequestMethod.POST, RequestMethod.GET})
    public String enable(Long id) {
        Context context = this.getContext();
        if (id == null) {
            return this.createFailJsonResp("请至少选择一条记录");
        } else {
            Map<String, Object> model = new HashMap();
            int code = 1;
            String busiDesc = "启用/停用" + this.getModuleDesc();

            try {
                int iRet = this.service.enable(id, context);
                model.put("message_info", this.getModuleDesc() + "启用/停用成功!");
                this.recordSysLog(this.request, busiDesc + " 【成功】 [id:" + id + "]");
            } catch (Exception var7) {
                code = -1;
                this.doException(this.request, busiDesc, model, var7);
            }

            JSONObject ret = new JSONObject();
            ret.put("code", Integer.valueOf(code));
            ret.put("msg", model.remove("message_info"));
            ret.put("data", model);
            return ret.toJSONString();
        }
    }
}